Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 457816 - gnome-wm detect tfp for compiz fallback
Summary: gnome-wm detect tfp for compiz fallback
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-session
Version: 9
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ray Strode [halfline]
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: K12LTSP
TreeView+ depends on / blocked
 
Reported: 2008-08-04 20:09 UTC by Warren Togami
Modified: 2008-12-21 23:42 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-12-21 23:42:03 UTC


Attachments (Terms of Use)

Description Warren Togami 2008-08-04 20:09:55 UTC
1) User logs in to a compiz capable machine.
2) Enables compiz.
3) Log out.
4) Login with the same homedir on a machine NOT capable of compiz.
5) Big problems... often impossible to switch it back without logging in to a compiz capable machine, or blowing away the gconf key manually from a terminal.

http://packages.debian.org/sid/compiz
Debian apparently uses a modified version of compiz-manager (an ugly shell script) as a wrapper replacement for their /usr/bin/compiz.  This is a very ugly and problematc solution.

krh, drago01 and warren agree that gnome-wm should detect tfp and fallback to metacity if compiz cannot possibly work.  This requires no changes to our compiz package, and would be something acceptable for GNOME upstream.

Comment 1 Fedora Update System 2008-12-11 08:41:47 UTC
ccsm-0.7.8-1.fc10,compizconfig-python-0.7.8-1.fc10,compizconfig-backend-kconfig-0.7.8-1.fc10,compizconfig-backend-gconf-0.7.8-1.fc10,libcompizconfig-0.7.8-1.fc10,compiz-fusion-extras-0.7.8-2.fc10,compiz-fusion-0.7.8-1.fc10,compiz-0.7.8-4.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/ccsm-0.7.8-1.fc10,compizconfig-python-0.7.8-1.fc10,compizconfig-backend-kconfig-0.7.8-1.fc10,compizconfig-backend-gconf-0.7.8-1.fc10,libcompizconfig-0.7.8-1.fc10,compiz-fusion-extras-0.7.8-2.fc10,compiz-fusion-0.7.8-1.fc10,compiz-0.7.8-4.fc10

Comment 2 Fedora Update System 2008-12-13 14:57:11 UTC
ccsm-0.7.8-1.fc10, compizconfig-python-0.7.8-1.fc10, compizconfig-backend-kconfig-0.7.8-1.fc10, compizconfig-backend-gconf-0.7.8-1.fc10, libcompizconfig-0.7.8-1.fc10, compiz-fusion-extras-0.7.8-2.fc10, compiz-0.7.8-4.fc10, compiz-fusion-0.7.8-2.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update ccsm compizconfig-python compizconfig-backend-kconfig compizconfig-backend-gconf libcompizconfig compiz-fusion-extras compiz compiz-fusion'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2008-11206

Comment 3 Fedora Update System 2008-12-21 23:41:58 UTC
ccsm-0.7.8-1.fc10, compizconfig-python-0.7.8-1.fc10, compizconfig-backend-kconfig-0.7.8-1.fc10, compizconfig-backend-gconf-0.7.8-1.fc10, libcompizconfig-0.7.8-1.fc10, compiz-fusion-extras-0.7.8-2.fc10, compiz-0.7.8-4.fc10, compiz-fusion-0.7.8-2.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.